
Foreman - Refactor #29163

Update Rubocop to 0.80

02/25/2020 12:12 AM - Anonymous

Status: Closed   

Priority: Low   

Assignee:    

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7467

  

Description

Related issues:

Related to Smart Proxy - Refactor #29162: Update Rubocop to 0.80 Closed

Related to foreman-tasks - Refactor #29286:  Update Rubocop to 0.80 Closed

Related to Boot disk - Refactor #29287:  Update Rubocop to 0.80 Closed

Related to KubeVirt - Refactor #29289: Update Rubocop to 0.80 Closed

Related to OpenSCAP - Refactor #29290: Update Rubocop to 0.80 Closed

Related to Templates - Refactor #29291: Update Rubocop to 0.80 Closed

Related to Ansible - Refactor #29293: Update Rubocop to 0.80 Closed

Related to Foreman Remote Execution - Refactor #29294:  Update Rubocop to 0.80 Closed

Related to Discovery - Refactor #29531: Update Rubocop to 0.80 Closed

Blocks Katello - Refactor #29164: Update Rubocop to 0.80 Closed

Associated revisions

Revision 8823aa3a - 03/08/2020 01:17 PM - Michael Moll 

Fixes #29163 - Update Rubocop to 0.80

Revision effd2370 - 03/08/2020 01:17 PM - Michael Moll 

Refs #29163 - Fix newly detected Rubocop violations

History

#1 - 02/25/2020 12:13 AM - Anonymous

- Related to Refactor #29162: Update Rubocop to 0.80 added

#2 - 02/25/2020 12:56 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7467 added

#3 - 02/25/2020 01:35 AM - Anonymous

- Blocks Refactor #29164: Update Rubocop to 0.80 added

#4 - 03/08/2020 01:17 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 03/08/2020 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed
Applied in changeset 8823aa3a15a96df57bb7984e1b8b9b07e9d484fe.

#6 - 03/08/2020 02:54 PM - Anonymous

- Related to Refactor #29286:  Update Rubocop to 0.80 added

#7 - 03/08/2020 02:54 PM - Anonymous

- Related to Refactor #29287:  Update Rubocop to 0.80 added

#8 - 03/08/2020 03:35 PM - Anonymous

- Related to Refactor #29289: Update Rubocop to 0.80 added

#9 - 03/08/2020 04:27 PM - Anonymous

- Related to Refactor #29290: Update Rubocop to 0.80 added

#10 - 03/08/2020 05:05 PM - Anonymous

- Related to Refactor #29291: Update Rubocop to 0.80 added

#11 - 03/08/2020 05:41 PM - Anonymous

- Related to Refactor #29293: Update Rubocop to 0.80 added

#12 - 03/08/2020 05:54 PM - Anonymous

- Related to Refactor #29294:  Update Rubocop to 0.80 added

#13 - 04/15/2020 01:46 AM - Ondřej Ezr

- Related to Refactor #29531: Update Rubocop to 0.80 added
